gdcm::XMLPrinter Class Reference

`#include <gdcmXMLPrinter.h>`

Collaboration diagram for gdcm::XMLPrinter:
[legend]

## Public Types

enum | PrintStyles { OnlyUUID = 0 , LOADBULKDATA = 1 }

## Public Member Functions

| XMLPrinter ()
virtual | ~XMLPrinter ()
PrintStyles | GetPrintStyle () const
virtual void | HandleBulkData (const char *uuid, const TransferSyntax &ts, const char *bulkdata, size_t bulklen)
void | Print (std::ostream &os)
void | PrintDataSet (const DataSet &ds, const TransferSyntax &ts, std::ostream &os)
void | SetFile (File const &f)
void | SetStyle (PrintStyles ps)

## Protected Member Functions

VR | PrintDataElement (std::ostream &os, const Dicts &dicts, const DataSet &ds, const DataElement &de, const TransferSyntax &ts)
void | PrintSQ (const SequenceOfItems *sqi, const TransferSyntax &ts, std::ostream &os)

## Protected Attributes

const File * | F
PrintStyles | PrintStyle

## Member Enumeration Documentation

## PrintStyles

enum gdcm::XMLPrinter::PrintStyles

Enumerator
OnlyUUID |
LOADBULKDATA |

## Constructor & Destructor Documentation

## XMLPrinter()

gdcm::XMLPrinter::XMLPrinter | ( |  | ) |

## ~XMLPrinter()

virtual gdcm::XMLPrinter::~XMLPrinter | ( |  | ) |

virtual

## Member Function Documentation

## GetPrintStyle()

PrintStyles gdcm::XMLPrinter::GetPrintStyle | ( |  | ) | const

inline

References PrintStyle.

## HandleBulkData()

virtual void gdcm::XMLPrinter::HandleBulkData | ( | const char * | uuid,
|  | const TransferSyntax & | ts,
|  | const char * | bulkdata,
|  | size_t | bulklen )

virtual

Virtual function mechanism to allow application programmer to override the default mechanism for BulkData handling. By default GDCM will simply discard the BulkData and only write the UUID

## Print()

void gdcm::XMLPrinter::Print | ( | std::ostream & | os | ) |

## PrintDataElement()

VR gdcm::XMLPrinter::PrintDataElement | ( | std::ostream & | os,
|  | const Dicts & | dicts,
|  | const DataSet & | ds,
|  | const DataElement & | de,
|  | const TransferSyntax & | ts )

protected

## PrintDataSet()

void gdcm::XMLPrinter::PrintDataSet | ( | const DataSet & | ds,
|  | const TransferSyntax & | ts,
|  | std::ostream & | os )

## PrintSQ()

void gdcm::XMLPrinter::PrintSQ | ( | const SequenceOfItems * | sqi,
|  | const TransferSyntax & | ts,
|  | std::ostream & | os )

protected

## SetFile()

void gdcm::XMLPrinter::SetFile | ( | File const & | f | ) |

inline

References F.

## SetStyle()

void gdcm::XMLPrinter::SetStyle | ( | PrintStyles | ps | ) |

inline

References PrintStyle.

## Member Data Documentation

## F

const File* gdcm::XMLPrinter::F

protected

Referenced by SetFile().

## PrintStyle

PrintStyles gdcm::XMLPrinter::PrintStyle

protected

Referenced by GetPrintStyle(), and SetStyle().

The documentation for this class was generated from the following file:

- gdcmXMLPrinter.h